#!/usr/bin/python3.10
# -*-coding:Utf-8 -*

#==============================================================================
# unlAnt: ASD of UNL document
#------------------------------------------------------------------------------
# --
#==============================================================================

#==============================================================================
# Importing required modules
#==============================================================================

# None


#==============================================================================
# Parameters
#==============================================================================

# None


#==============================================================================
# Document Class
#==============================================================================

class Document:
    
    def __init__(self, sentence):
        self.sentence = sentence
    
    def to_string(self):
        return self.sentence.to_string()
    

class Sentence:
    
    def __init__(self, org_part, unl_part):
        self.org_part = org_part
        self.unl_part = unl_part  
    
    def to_string(self):
        return self.org_part.to_string() + self.unl_part.to_string
    
    
class OrgPart:
    
    def __init__(self, value):
        self.value = value     
    
    def to_string(self):
        return self.value
    
    
class UnlPart:
    
    def __init__(self, value):
        self.value = value    
    
    def to_string(self):
        return self.value