//=============================================================================
// ANTLR Grammar for UNL Document
//=============================================================================

grammar org;


//=============================================================================
// Parser Grammar
//=============================================================================

//---------------------------------------------------------
// Origin NL sentence
//---------------------------------------------------------

orgPart
  : ORG
  ;


//=============================================================================
// Lexer Grammar
//=============================================================================

// ignore whitespaces
WS              : (' '|'\n'|'\t'|'\r'|'\u000C')+ -> skip ;

// other tokens
ORG             : '{org:en}' (.)* '{/org}' ;

